com.threerings.parlor.server

## Interface TableProvider

All Superinterfaces:
  com.threerings.presents.server.InvocationProvider

All Known Implementing Classes:
  TableManager

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from TableService.java.")
    public interface TableProvider
    extends com.threerings.presents.server.InvocationProvider

Defines the server-side of the `TableService`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `bootPlayer(com.threerings.presents.data.ClientObject caller, int arg1, com.threerings.util.Name arg2, com.threerings.presents.client.InvocationService.InvocationListener arg3)` Handles a `TableService.bootPlayer(int, com.threerings.util.Name, com.threerings.presents.client.InvocationService.InvocationListener)` request.
`void` `createTable(com.threerings.presents.data.ClientObject caller, TableConfig arg1, GameConfig arg2, com.threerings.presents.client.InvocationService.ResultListener arg3)` Handles a `TableService.createTable(com.threerings.parlor.data.TableConfig, com.threerings.parlor.game.data.GameConfig, com.threerings.presents.client.InvocationService.ResultListener)` request.
`void` `joinTable(com.threerings.presents.data.ClientObject caller, int arg1, int arg2, com.threerings.presents.client.InvocationService.InvocationListener arg3)` Handles a `TableService.joinTable(int, int, com.threerings.presents.client.InvocationService.InvocationListener)` request.
`void` `leaveTable(com.threerings.presents.data.ClientObject caller, int arg1, com.threerings.presents.client.InvocationService.InvocationListener arg2)` Handles a `TableService.leaveTable(int, com.threerings.presents.client.InvocationService.InvocationListener)` request.
`void` `startTableNow(com.threerings.presents.data.ClientObject caller, int arg1, com.threerings.presents.client.InvocationService.InvocationListener arg2)` Handles a `TableService.startTableNow(int, com.threerings.presents.client.InvocationService.InvocationListener)` request.

### Method Detail

#### bootPlayer

    void bootPlayer(com.threerings.presents.data.ClientObject caller,
                    int arg1,
                    com.threerings.util.Name arg2,
                    com.threerings.presents.client.InvocationService.InvocationListener arg3)
             throws com.threerings.presents.server.InvocationException

Handles a `TableService.bootPlayer(int, com.threerings.util.Name, com.threerings.presents.client.InvocationService.InvocationListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`

#### createTable

    void createTable(com.threerings.presents.data.ClientObject caller,
                     TableConfig arg1,
                     GameConfig arg2,
                     com.threerings.presents.client.InvocationService.ResultListener arg3)
              throws com.threerings.presents.server.InvocationException

Handles a `TableService.createTable(com.threerings.parlor.data.TableConfig, com.threerings.parlor.game.data.GameConfig, com.threerings.presents.client.InvocationService.ResultListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`

#### joinTable

    void joinTable(com.threerings.presents.data.ClientObject caller,
                   int arg1,
                   int arg2,
                   com.threerings.presents.client.InvocationService.InvocationListener arg3)
            throws com.threerings.presents.server.InvocationException

Handles a `TableService.joinTable(int, int, com.threerings.presents.client.InvocationService.InvocationListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`

#### leaveTable

    void leaveTable(com.threerings.presents.data.ClientObject caller,
                    int arg1,
                    com.threerings.presents.client.InvocationService.InvocationListener arg2)
             throws com.threerings.presents.server.InvocationException

Handles a `TableService.leaveTable(int, com.threerings.presents.client.InvocationService.InvocationListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`

#### startTableNow

    void startTableNow(com.threerings.presents.data.ClientObject caller,
                       int arg1,
                       com.threerings.presents.client.InvocationService.InvocationListener arg2)
                throws com.threerings.presents.server.InvocationException

Handles a `TableService.startTableNow(int, com.threerings.presents.client.InvocationService.InvocationListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`